MUCInvitationHandler Class Referenceabstract

`#include <mucinvitationhandler.h>`

## Public Member Functions

| MUCInvitationHandler (ClientBase *parent)
virtual | ~MUCInvitationHandler ()
virtual void | handleMUCInvitation (const JID &room, const JID &from, const std::string &reason, const std::string &body, const std::string &password, bool cont, const std::string &thread)=0

## Detailed Description

A handler that can be used to receive invitations to MUC rooms.

Register a derived class with ClientBase::registerMUCInvitationHandler().

Author
  Jakob Schröter js@ca.nosp@m.maya.nosp@m..net

Since
  0.9

Definition at line 35 of file mucinvitationhandler.h.

## Constructor & Destructor Documentation

## MUCInvitationHandler()

MUCInvitationHandler | ( | ClientBase * | parent | ) |

Constructor. Prepares the given ClientBase for receiving MUC invitations..

Parameters

  parent | A ClientBase instance to prepare.

Definition at line 21 of file mucinvitationhandler.cpp.

## ~MUCInvitationHandler()

virtual ~MUCInvitationHandler | ( |  | ) |

inline virtual

Virtual Destructor.

Definition at line 47 of file mucinvitationhandler.h.

## Member Function Documentation

## handleMUCInvitation()

virtual void handleMUCInvitation | ( | const JID & | room,
|  | const JID & | from,
|  | const std::string & | reason,
|  | const std::string & | body,
|  | const std::string & | password,
|  | bool | cont,
|  | const std::string & | thread )

pure virtual

This function is called for incoming invitations to MUC rooms.

Parameters

  room | The JID of the room you're being invited to.
  from | The JID of the inviter.
  reason | A reason for the invitation.
  body | The body of the message. May contain a MUC-service generated invitation message.
  password | Optionally, a password for the room.
  cont | Indicates whether or not the multi-user chat is a continuation of a private chat.
  thread | An optional thread identifier in case this is a continued chat.

The documentation for this class was generated from the following files:

- mucinvitationhandler.h
- mucinvitationhandler.cpp